Subject: Re: linux-next: removal of the kgdb tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 16 Sep 2016 07:49:07 +1000

Hi Jason,

On Thu, 15 Sep 2016 07:16:18 -0500 Jason Wessel <[email-masked]> wrote:
>
> On 03/08/2016 11:16 PM, Stephen Rothwell wrote:
> >
> > I noticed that the kgdb tree
> >
> >   git://git.kernel.org/pub/scm/linux/kernel/git/jwessel/kgdb.git branch kgdb-next
> >
> > has not been updated since March 2015.  I am going to remove it from
> > linux-next tomorrow unless I hear that it may be useful.  It can always
> > be easily added back if it proves useful in the future.
> >  
> 
> The time has finally arrived.  :-)
> 
> Could you please add the kgdb-next branch back to linux-next.

Done from today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]